*
* Le manoir de la crapule
* Fichier : Crapule.Data
*
* (c) 1987, Jean-Louis Le Breton, Froggy Software
* (c) 2017, Antoine Vignau & Olivier Zardini, Brutal Deluxe Software
*

*------------------------------------------------------------------------------
* WARNING : PARTOUT, LE PREMIER INDEX EST 1 ET NON PAS 0 (d'accord ?)
*------------------------------------------------------------------------------

*------------------------------------------------------------------------------
* Les données initiales du jeu - MUST BE < 256 BYTES (V1.0 = 106 BYTES) - 01
*------------------------------------------------------------------------------

tblGame	=	*	; le tableau des paramètres du jeu

dataVERSION		; 0 - minimum version required 1.0 here
	dfb	theVERSION
dataMEMORY		; 1 - the game runs fine on a 64K machine
	dfb	data64K
dataTEXT		; 2 - text is in 80-col
	dfb	text80COL
dataPICTURES		; 3 - pictures are HGR monochrome
	dfb	picHGRMONO
picCOMPRESSION		; 4 - no compression
	dfb	compLZ4
lettresOK		; 5 - définit les lettres pour dire oui pour les messages du système
	asc	"Oo"
nbSYSTEMDICO		; 6 - nombre de mots dans le dictionnaire systeme
	dfb	tblSystemDictionnaireEnd-tblSystemDictionnaire/2
nbDICTIONNAIRE		; 7 - nombre de mots de dans le dictionnaire du jeu
	dfb	tblDictionnaireEnd-tblDictionnaire/2
nbLIEUX		; 8 - nombre de décors dans le jeu
	dfb	20
nbPIECES		; 9 - nombre de pièces dans le jeu
	dfb	12
imageTITRE		; 10 - numéro de l'image titre
	dfb	12
messageTITRE		; 11 - message de titre
	dfb	74
dialogueTITRE		; 12 - message de titre
	dfb	1
nbCONDITIONS		; 13 - nombre de conditions pour gagner
	dfb	23	; DEBUG 22
deathCONDITION		; 14 - condition à vérifier qu'on ne soit pas mort !
	dfb	28
conditions		; 15 - le tableau des conditions du jeu (par défaut, tout est à faux (=0))
	dfb	0,0,0,0,0,0,0,0,0,0
	dfb	0,0,0,0,0,0,0,0,0,0
*	dfb	0,0,true,0,0,0,0,0,0,0	; 23 = true (on meurt !) - C'était avant
	dfb	0,0,0,0,0,0,0,true,0,0	; 28 = true (on meurt !) - C'est maintenant
	dfb	0,0,0,0,0,0,0,0,0,0
	dfb	0,0,0,0,0,0,0,0,0,true	; 50 = true (le démarrage)
	dfb	0,0,0,0,0,0,0,0,0,0
	dfb	0,0,0,0,0,0,0,0,0,0
	dfb	0,0,0,0,0,0,0,0,0,0
	dfb	0,0,0,0,0,0,0,0,0,0	; jusqu'à 90 conditions siouplé !

*------------------------------------------------------------------------------
* Tableau des directions - 02
*------------------------------------------------------------------------------

* Il y a 6 directions possibles par tableau : N S E O Haut et Bas
* Il y a 12 pièces. Si on veut aller au nord de la pièce 1, on chargera l'image 6
* Voici les numéros d'image :
* 1 = hall, 2 = cuisine, 3 = salle à manger, 4 = chambre des Dumoulin
* 5 = bibliothèque, 6 = toilettes, 7 = salon, 8 = porte du boudoir
* 9 = chambre du comte, 10 = salle de bains, 11 = boudoir, 12 = manoir extérieur

* A l'origine, 100 était la valeur pour indiquer le stop (ie. un déplacement impossible)
* J'ai mis -1 pour utiliser une unicité de codage

tblDirections
	dfb	6,12,3,2,7,-1		; on monte depuis le hall
	dfb	-1,-1,1,-1,-1,-1
	dfb	4,-1,5,1,-1,-1
	dfb	-1,3,-1,-1,-1,-1
	dfb	-1,-1,-1,3,-1,-1
	dfb	-1,1,-1,-1,-1,-1
	dfb	8,-1,9,10,-1,1		; on descend du salon
	dfb	11,7,-1,-1,-1,-1
	dfb	-1,-1,-1,7,-1,-1
	dfb	-1,-1,7,-1,-1,-1
	dfb	-1,8,-1,-1,-1,-1
	dfb	1,-1,-1,-1,-1,-1

*------------------------------------------------------------------------------
* Tableau des directions sous conditions - 16
*------------------------------------------------------------------------------

* Par pièce, vérifie une condition pour autoriser le déplacement.
* La seule qui existe ici est qu'on ne peut entrer dans le boudoir que si on a ouvert la porte !

tblDirectionsConditions
	dfb	-1,-1,-1,-1,-1,-1
	dfb	-1,-1,-1,-1,17,-1	; devant la porte du boudoir

*------------------------------------------------------------------------------
* Tableau du nombre de cas par image - 03
*------------------------------------------------------------------------------

* Par exemple :
* dans le hall, le programme sait répondre à 18 questions
* dans la cuisine, le programme sait répondre à 25 questions

tblCas
	dfb	18,25,27,39
	dfb	24,5,35,8
	dfb	15,14,18,14

*------------------------------------------------------------------------------
* Tableau des correspondances par image - 04
*------------------------------------------------------------------------------

* Correspondance entre les situations, les messages et les conditions par image
* Si un élément est > 200 (originellement 500), il indexe les conditions

* Par exemple :
* dans le hall, si le joueur a posé la question 1, le message de réponse est le 1
* dans le hall, si le joueur a posé la question 2, le message de réponse est le 5

tblCasImage
	da	tblCasImage1
	da	tblCasImage2
	da	tblCasImage3
	da	tblCasImage4
	da	tblCasImage5
	da	tblCasImage6
	da	tblCasImage7
	da	tblCasImage8
	da	tblCasImage9
	da	tblCasImage10
	da	tblCasImage11
	da	tblCasImage12

tblCasImage1
	dfb	1,5,3,206,207
	dfb	208,216,216,2,4
	dfb	4,10,11,7,35
	dfb	206,206,206

tblCasImage2
	dfb	17,22,20,77,77
	dfb	21,204,78,16,79
	dfb	80,81,221,20,99
	dfb	224,225,226,18,225
	dfb	226,10,204,204,221

tblCasImage3
	dfb	10,209,210,84,85
	dfb	86,31,17,20,88
	dfb	88,105,35,22,18
	dfb	103,22,10,10,104
	dfb	25,13,106,107,108
	dfb	12,208

tblCasImage4
	dfb	205,220,219,20,89
	dfb	219,88,88,90,13
	dfb	12,91,92,219,93
	dfb	13,12,4,109,110
	dfb	111,113,112,112,35
	dfb	35,205,115,116,117
	dfb	118,110,109,220,114
	dfb	219,114,119,119	; v1.1: condition 38: 119 -> 113

tblCasImage5
	dfb	120,121,122,123,124
	dfb	125,213,126,123,93
	dfb	127,127,93,214,128
	dfb	127,127,129,121,214
	dfb	93,130,214,214

tblCasImage6
*	dfb	223,223,223,223,175
	dfb	228,228,228,228,175

tblCasImage7
	dfb	201,222,202,211,131
	dfb	203,212,132,215,22	; v1.1 condition 7: 213 -> 212
	dfb	17,93,133,134,135
	dfb	136,137,138,139,140
	dfb	93,141,141,142,135
	dfb	142,143,132,203,212
*	dfb	10,227,228,228,228
	dfb	10,227,223,223,223

tblCasImage8
	dfb	217,217,30,144,93
	dfb	217,128,128

tblCasImage9
*	dfb	145,223,146,223,223
*	dfb	139,223,147,4,88
*	dfb	223,147,145,133,148
	dfb	145,228,146,228,228
	dfb	139,228,147,4,88
	dfb	228,147,145,133,148

tblCasImage10
*	dfb	149,150,223,151,152
*	dfb	153,154,223,155,223
*	dfb	223,223,10,223
	dfb	149,150,228,151,152
	dfb	153,154,228,155,228
	dfb	228,228,10,228

tblCasImage11
	dfb	156,157,157,228,133	; v1.1: condition 4: 223 -> 228
	dfb	4,88,158,159,156
	dfb	218,160,218,161,162
	dfb	163,218,25

tblCasImage12
	dfb	164,165,166,167,167
	dfb	168,169,170,171,172
	dfb	167,173,174,174


*------------------------------------------------------------------------------
* Tableau des conditions - 05
*------------------------------------------------------------------------------

* C'est le tableau des conditions, le format est le suivant :
* - condition à vérifier (NCV) / condition à modifier (NCM)
* - message si oui (MOUI) / message si non (MNON)
* - image à modifier (IM) / alerte (AL, ie. dialogue)

* Pour gagner le jeu, il faut remplir 21 (AV : 22?) conditions
* C'est toute la solution qui est résumée ici
* Les autres conditions servent au programme pour savoir s'il doit afficher
* les images contenant des personnes au cours du jeu

tblConditions
	dfb	50,01,69,02,13,-1	; 1= ouvrir la boîte
	dfb	22,02,39,38,16,-1	; 2= attendre la comtesse
	dfb	02,03,41,42,-1,06	; 3= interroger la comtesse
	dfb	03,04,43,42,-1,08	; 4= interroger la cuisinière
	dfb	04,05,45,44,-1,12	; 5= interroger les Dumoulin
	dfb	05,06,47,46,01,-1	; 6= fouiller le hall
	dfb	06,07,49,48,19,-1	; 7= prendre le carnet
	dfb	07,08,51,50,-1,-1	; 8= lire le carnet
	dfb	08,09,53,52,-1,-1	; 9= téléphoner au notaire
	dfb	08,10,54,52,-1,-1	; 10= téléphoner au banquier
	dfb	10,11,56,55,14,-1	; 11= attendre le banquier
	dfb	11,12,94,55,16,05	; 12= interroger le banquier
	dfb	09,13,57,55,17,-1	; 13= attendre le notaire
	dfb	13,14,95,55,05,10	; 14= interroger le notaire
	dfb	14,15,60,58,-1,-1	; 15= demander la clé
	dfb	15,16,62,61,01,-1	; 16= prendre la clé
	dfb	16,17,96,97,-1,-1	; 17= ouvrir le boudoir
	dfb	17,18,63,64,-1,-1	; 18= voir le piano
	dfb	18,19,66,65,-1,-1	; 19= voir la guitare
	dfb	19,20,83,97,-1,11	; 20= arrêter les Dumoulin
	dfb	20,21,68,67,21,09	; 21= consoler la cuisinière
	dfb	01,22,83,42,13,-1	; 22= fermer boîte
*	dfb	23,23,98,98,-1,04	; 23= mourir
	dfb	21,23,179,178,12,07	; 23= au revoir cher ami / ne partez-pas !
	dfb	03,03,100,176,-1,-1	; 24= la cuisinière est-là ?
	dfb	03,03,102,176,-1,-1	; 25= la cuisinière est-là ?
	dfb	03,03,101,176,-1,-1	; 26= la cuisinière est-là ?
	dfb	02,02,177,176,-1,-1	; 27= la comtesse est-elle là ?
*	dfb	21,27,179,178,-1,07	; 28= au revoir cher ami / ne partez-pas !
	dfb	28,28,98,98,28,04	; 23= mourir

* 28 doit devenir 23
* 23 doit devenir 28

*------------------------------------------------------------------------------
* Tableau des situations - 06
*------------------------------------------------------------------------------

* Les situations prévues par pièce
* Par exemple :
* 6303 est la 2ème (et non pas 3ème) situation prévue dans la pièce 1
* 6303 = le mot 63 et le mot 03 du dictionnaire, soit : VOIR MEUBLE
* Le message de réponse sera le 2ème message de la liste CasImage (voir plus haut)
* c'est-à-dire, le message n°5 : "il est en merisier"

* Pour simplifier la gestion du tableau, chaque entrée est sur trois octets
* -1 signifie qu'une valeur n'est pas valide

tblSituations
	da	tblSituations1
	da	tblSituations2
	da	tblSituations3
	da	tblSituations4
	da	tblSituations5
	da	tblSituations6
	da	tblSituations7
	da	tblSituations8
	da	tblSituations9
	da	tblSituations10
	da	tblSituations11
	da	tblSituations12

tblSituations1
	dfb	27,-1,-1
	dfb	63,03,-1
	dfb	45,49,-1
	dfb	32,-1,-1
	dfb	50,14,-1
	dfb	39,14,-1
	dfb	50,18,-1
	dfb	32,18,-1
	dfb	42,-1,-1
	dfb	45,61,-1
	dfb	45,03,-1
	dfb	02,-1,-1
	dfb	05,-1,-1
	dfb	63,64,-1
	dfb	63,-1,-1
	dfb	45,49,03
	dfb	45,61,03
	dfb	32,03,-1

tblSituations2
	dfb	41,-1,-1
	dfb	11,-1,-1
	dfb	45,03,-1
	dfb	45,65,-1
	dfb	45,49,-1
	dfb	26,08,-1
	dfb	35,08,-1
	dfb	32,-1,-1
	dfb	63,10,-1
	dfb	63,78,-1
	dfb	45,66,-1
	dfb	30,66,-1
	dfb	51,08,-1
	dfb	32,03,-1
	dfb	32,08,-1
	dfb	75,82,-1
	dfb	83,84,-1
	dfb	87,85,-1
	dfb	81,-1,-1
	dfb	83,84,86
	dfb	87,85,86
	dfb	02,-1,-1
	dfb	23,-1,-1
	dfb	35,-1,-1
	dfb	51,-1,-1

tblSituations3
	dfb	02,-1,-1
	dfb	59,44,-1
	dfb	59,07,-1
	dfb	59,-1,-1
	dfb	44,-1,-1
	dfb	07,-1,-1
	dfb	55,-1,-1
	dfb	41,-1,-1
	dfb	45,03,-1
	dfb	45,78,-1
	dfb	63,78,-1
	dfb	21,57,-1
	dfb	63,29,-1
	dfb	11,-1,-1
	dfb	81,-1,-1
	dfb	32,03,-1
	dfb	11,68,-1
	dfb	02,44,-1
	dfb	02,07,-1
	dfb	21,97,-1
	dfb	63,57,-1
	dfb	01,37,-1
	dfb	45,49,-1
	dfb	59,88,-1
	dfb	59,89,-1
	dfb	28,37,-1
	dfb	39,14,-1

tblSituations4
	dfb	35,25,-1
	dfb	04,25,-1
	dfb	63,34,-1
	dfb	45,03,-1
	dfb	26,25,-1
	dfb	21,34,-1
	dfb	63,78,-1
	dfb	45,78,-1
	dfb	36,34,-1
	dfb	01,-1,-1
	dfb	28,-1,-1
	dfb	35,-1,-1
	dfb	25,-1,-1
	dfb	63,34,-1
	dfb	63,-1,-1
	dfb	01,37,-1
	dfb	28,37,-1
	dfb	45,61,-1
	dfb	87,85,-1
	dfb	83,84,-1
	dfb	87,36,34
	dfb	45,61,-1
	dfb	36,34,-1
	dfb	36,43,-1
	dfb	63,90,-1
	dfb	21,90,-1
	dfb	87,98,08
	dfb	87,98,19
	dfb	87,98,44
	dfb	87,98,07
	dfb	87,98,86
	dfb	83,84,86
	dfb	87,85,86
	dfb	04,-1,-1
	dfb	50,80,-1
	dfb	50,34,-1
	dfb	50,80,34
	dfb	32,61,-1
	dfb	32,40,-1

tblSituations5
	dfb	55,-1,-1
	dfb	39,-1,-1
	dfb	50,39,-1
	dfb	63,39,-1
	dfb	63,69,-1
	dfb	63,70,-1
	dfb	05,44,-1
	dfb	05,-1,-1
	dfb	63,09,-1
	dfb	45,61,-1
	dfb	45,69,-1
	dfb	15,69,-1
	dfb	63,29,-1
	dfb	35,44,-1
	dfb	50,70,-1
	dfb	32,69,-1
	dfb	32,03,-1
	dfb	60,90,-1
	dfb	39,39,-1
	dfb	22,44,-1
	dfb	32,-1,-1
	dfb	02,-1,-1
	dfb	23,44,-1
	dfb	23,-1,-1

tblSituations6
	dfb	60,54,-1
	dfb	60,17,-1
	dfb	63,54,-1
	dfb	21,20,-1
	dfb	99,-1,-1

tblSituations7
	dfb	45,12,-1
	dfb	30,12,-1
	dfb	05,19,-1
	dfb	05,07,-1
	dfb	05,-1,-1
	dfb	35,19,-1
	dfb	35,07,-1
	dfb	35,-1,-1
	dfb	22,18,-1
	dfb	11,-1,-1
	dfb	41,-1,-1
	dfb	63,31,-1
	dfb	63,57,-1
	dfb	63,16,-1
	dfb	50,13,-1
	dfb	50,16,-1
	dfb	55,-1,-1
	dfb	45,78,-1
	dfb	21,57,-1
	dfb	21,58,-1
	dfb	21,40,-1
	dfb	63,91,-1
	dfb	87,91,-1
	dfb	63,92,40
	dfb	11,13,-1
	dfb	32,92,40
	dfb	63,93,-1
	dfb	23,-1,-1
	dfb	23,19,-1
	dfb	23,07,-1
	dfb	02,-1,-1
	dfb	46,47,-1
	dfb	62,-1,-1
	dfb	23,62,-1
	dfb	23,62,19

tblSituations8
	dfb	45,49,-1
	dfb	15,49,-1
	dfb	63,33,-1
	dfb	63,71,-1
	dfb	63,-1,-1
	dfb	27,-1,-1
	dfb	15,-1,-1
	dfb	15,71,-1

tblSituations9
	dfb	24,-1,-1
	dfb	32,40,-1
	dfb	32,-1,-1
	dfb	21,72,-1
	dfb	21,40,-1
	dfb	21,57,-1
	dfb	01,-1,-1
	dfb	28,-1,-1
	dfb	63,92,40
	dfb	63,78,-1
	dfb	01,37,-1
	dfb	28,37,-1
	dfb	24,40,-1
	dfb	63,57,-1
	dfb	02,-1,-1

tblSituations10
	dfb	63,33,-1
	dfb	38,-1,-1
	dfb	53,10,-1
	dfb	63,10,-1
	dfb	63,78,-1
	dfb	63,56,-1
	dfb	50,56,-1
	dfb	50,06,-1
	dfb	94,-1,-1
	dfb	66,-1,-1
	dfb	32,06,-1
	dfb	32,10,-1
	dfb	02,-1,-1
	dfb	53,06,-1

tblSituations11
	dfb	36,48,-1
	dfb	73,29,-1
	dfb	74,29,-1
	dfb	63,29,-1
	dfb	21,57,-1
	dfb	21,58,-1
	dfb	63,78,-1
	dfb	63,90,-1
	dfb	45,48,-1
	dfb	36,-1,-1
	dfb	63,48,-1
	dfb	96,-1,-1
	dfb	32,48,-1
	dfb	55,-1,-1
	dfb	39,43,-1
	dfb	30,48,-1
	dfb	95,48,-1
	dfb	63,57,-1
	
tblSituations12
	dfb	27,-1,-1
	dfb	45,49,-1
	dfb	45,78,-1
	dfb	15,49,-1
	dfb	15,78,-1
	dfb	42,-1,-1
	dfb	63,93,-1
	dfb	05,-1,-1
	dfb	02,-1,-1
	dfb	76,-1,-1
	dfb	15,79,-1
	dfb	63,77,-1
	dfb	02,19,-1
	dfb	05,19,-1

*------------------------------------------------------------------------------
* Tableau du choix de l'image à afficher - 13
*------------------------------------------------------------------------------

* Comme le jeu gère les objets sur des images différentes, il faut
* traiter les conditions de sélection d'une image.
*
* Le format est le suivant :
* - numdes
* - conditions
* - valeur de la condition (true, false)
* - nouveau numdes
* - nouveau message
* - nouveau message système

* v1.1 - AV 201709 - Pierre avait raison, il fallait changer l'ordre des conditions

tblConditionsImage
*	dfb	7,27,true,12,0,6		; au revoir
	dfb	12,23,true,12,0,6		; au revoir
	dfb	1,23,true,12,0,6		; hall, au revoir
	dfb	7,1,true,13,0,0		; au salon, j'ai ouvert la boite => tete du comte
	dfb	13,22,true,7,0,0		; au salon, j'ai ferme la boite => le salon
	dfb	7,2,true,16,0,0		; au salon, j'ai attendu la comtesse => salon + comtesse
	dfb	16,12,true,14,0,0		; au salon avec comtesse, j'ai attendu le banquier => salon avec banquier
	dfb	14,12,true,16,0,0		; j'ai interroge le banquier, je veux la comtesse
	dfb	1,6,true,19,0,0		; j'ai fouille le hall, je veux le carnet
	dfb	19,7,true,1,0,0		; j'ai pris le carnet
	dfb	1,15,true,18,0,0		; j'ai demande la cle, je veux le hall avec la cle
	dfb	18,16,true,1,0,0		; j'ai pris la cle, je veux le hall vide
	dfb	2,3,true,15,0,0		; je suis dans la cuisine, j'ai interroge la comtesse => cuisiniere
	dfb	15,21,true,21,0,0		; je suis dans la cuisine, j'ai consolé la cuisiniere -> cuisiniere + bebe
	dfb	5,13,true,17,0,0		; dans la bibliotheque, j'ai attendu le notaire => le notaire
	dfb	17,14,true,05,0,0		; v1.1 - j'ai interroge le notaire, je veux la bibliothèque
	dfb	4,20,true,3,70,0		; chambre des dumoulin, je les arrete
	dfb	11,17,false,8,71,0		; boudoir, j'ouvre le boudoir ou pas
	dfb	-1			; signale la fin du tableau
	
*------------------------------------------------------------------------------
* Tableau du plan - 14
*------------------------------------------------------------------------------

* Comme le jeu gère des étages, il faut une carte de correspondance
* entre l'étage et le dialogue

tblPlan
	dfb	13,13,13,13,13,13	; rez-de-chaussée
	dfb	14,14,14,14,14		; 1er étage
	dfb	13		; manoir extérieur

*------------------------------------------------------------------------------
* Tableau des situations vs image - 15
*------------------------------------------------------------------------------

* Comme le jeu gère plusieurs images pour une situation (ie. un même lieu),
* il faut une correspondance entre l'image et la pièce réelle

tblSituationsImage
	dfb	1,2,3,4,5,6	; les pièces du rez-de-chaussée 
	dfb	7,8,9,10,11	; les pièces du 1er étage
	dfb	12		; le manoir extérieur
	dfb	7,7,2,7,5
	dfb	1,1,-1,2,7

